/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Radiographic Contrast Agent Ingredient
 */
public enum EnumCV_RadiographicContrastAgentIngredient {

	//Radiographic Contrast Agent Ingredient - CID 13
	IODINE_C_11400("C-11400"),
	GADOLINIUM_C_17800("C-17800"),
	CARBON_DIOXIDE_C_10520("C-10520"),
	BARIUM_C_12200("C-12200"),
	XENON_C_17200("C-17200"),
	AIR_A_80230("A-80230"),
	OXYGEN_C_10110("C-10110"),
	WATER_C_10120("C-10120"),
	IRON_C_130F9("C-130F9");

	private String value;

	EnumCV_RadiographicContrastAgentIngredient(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
